.carrito-btn {
    background-color: #000000; /* Color naranja */
    color: white;
    border: 2px solid rgba(255, 255, 255, 0.596);
    padding: 12px 24px;
    font-size: 16px;
    border-radius: 8px;
    cursor: pointer;
    position: relative;
    overflow: hidden;
    transition: background-color 0.3s ease;
  }
  
  .carrito-btn i {
    margin-right: 8px;
  }
  
  .carrito-btn::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(120deg, transparent, rgba(255, 255, 255, 0.4), transparent);
    transform: translateX(-100%);
    transition: transform 0.6s ease;
  }
  
  .carrito-btn:hover {
    background-color: #1cca42; /* Color naranja más oscuro al pasar el ratón */
  }
  
  .carrito-btn:hover::before {
    transform: translateX(100%);
  }




  .carrito-btnn {
    background-color: #000000; /* Color naranja */
    color: white;
    border: 2px solid rgba(255, 255, 255, 0.596);
    padding: 12px 24px;
    font-size: 16px;
    border-radius: 8px;
    cursor: pointer;
    position: relative;
    overflow: hidden;
    transition: background-color 0.3s ease;
  }
  
  .carrito-btnn i {
    margin-right: 8px;
  }
  
  .carrito-btnn::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(120deg, transparent, rgba(255, 255, 255, 0.4), transparent);
    transform: translateX(-100%);
    transition: transform 0.6s ease;
  }
  
  .carrito-btnn:hover {
    background-color: #14e725; /* Color naranja más oscuro al pasar el ratón */
  }
  
  .carrito-btnn:hover::before {
    transform: translateX(100%);
  }